| Home | Libraries | People | FAQ | More

## Function template find_last

boost::algorithm::find_last — Find last algorithm.

## Synopsis

    template<typename Collection1T, typename Collection2T>
      iterator_range< typename result_iterator_of< Collection1T >::type >
      find_last(Collection1T & Input, const Collection2T & Search);

## Description

Search for the last occurence of the substring in the input.

Parameters

Input

  A string which will be searched.

Search

  A substring to be searched for.

Returns: An `iterator_range` delimiting the match. Returned iterator is either `Collection1T::iterator` or `Collection1T::const_iterator` , depending on the constness of the input parameter.
Notes: This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba